#!/bin/sh -e

# Create required directories with appropriate permissions
mkdir -p /run/caddy /run/gunicorn
chmod 777 /run /run/caddy /run/gunicorn

echo "Applying database migrations"
python -m hub migrate

echo "Starting Caddy"
caddy start --config /etc/caddy/Caddyfile --pidfile /run/caddy/caddy.pid

echo "Starting Gunicorn"
exec \
    gunicorn \
    -w 4 \
    --access-logfile None \
    --error-log - \
    --capture-output \
    --pythonpath /app/.venv/lib/python3.13/site-packages/ \
    --bind unix:/run/gunicorn.sock \
    hub.wsgi:application
